%define __libtoolize /bin/true
%define name k9copy
%define version 1.0.3b
%define release 1.2006mcnl
%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d
%define summary K9Copy is a small utility which allows the copy of DVD on Linux
%define section Multimedia/Video

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Vendor: Mandrivaclub.nl
URL: http://k9copy.free.fr/
License: GPL
Group: Video
Packager: Rutger Kroon <ogli@mandrivaclub.nl>

Source0: %{name}-%{version}.tar.bz2

BuildArch: x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: lib64dvdread3 lib64dvdread3-devel dvdauthor vamps
Requires: %libname

%description
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.

Copy without menus :
In this case, dvdauthor is used to create a new DVD structure. 
It is possible to choose the order in which the video sequences are played. 

Copy with menus :
As dvdauthor does not make it possible to integrate the original menus, 
K9Copy reproduces the original structure of the DVD. 
The navigation packs as well as IFO files are modified to point on 
the compressed MPEG stream.

%package -n %{libname}
Summary: k9copy frontend libraries
Group: System/Libraries

%description -n %{libname}
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.

Copy without menus :
In this case, dvdauthor is used to create a new DVD structure. 
It is possible to choose the order in which the video sequences are played. 

Copy with menus :
As dvdauthor does not make it possible to integrate the original menus, 
K9Copy reproduces the original structure of the DVD. 
The navigation packs as well as IFO files are modified to point on 
the compressed MPEG stream.

%package -n %{libnamedev}
Summary: k9copy frontend libraries
Group: System/Libraries
Provides: libk9copy-devel
Requires: %{libname} = %{version}-%{release}

%description -n %{libnamedev}
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.

Copy without menus :
In this case, dvdauthor is used to create a new DVD structure. 
It is possible to choose the order in which the video sequences are played. 

Copy with menus :
As dvdauthor does not make it possible to integrate the original menus, 
K9Copy reproduces the original structure of the DVD. 
The navigation packs as well as IFO files are modified to point on 
the compressed MPEG stream.

%prep

%setup -q

%build

%configure --with-qt-libraries=/usr/lib/qt3/lib64/ \
           --disable-rpath

%make

%install
rm -rf %{buildroot}
%makeinstall

#menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%name << EOF
?package(%name):\
command="%{_bindir}/%name"\
needs="X11"\
icon="%name.png"\
section="%section"\
title="K9copy"\
longtitle="%summary"
EOF

#icons
%define  nameicon src/hi32-app-k9copy.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%_libdir/libk9copy.la
%_libdir/libk9copy.so.*
%_libdir/libk9copy.so

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/libk9copy.la
%_libdir/libk9copy.so
%_libdir/libk9copy.so.*
%_includedir/k9*.h

%files
%defattr(-,root,root,0755)
%doc README TODO COPYING AUTHORS INSTALL NEWS
%_bindir/%name
%_datadir/applnk/Multimedia/k9copy.desktop
%_datadir/apps/%name/k9copyui.rc
#%_defaultdocdir/HTML/en/%name/*
%_iconsdir/hicolor/*x*/apps/%name.png
%_datadir/locale/*/LC_MESSAGES/%name.mo
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Tue Mar 14 2006 Rutger Kroon <ogli@mandrivaclub.nl> 1.03b-1.2006mcnl
-1.03b

* Mon Jan 30 2006 Rutger Kroon <ogli@mandrivaclub.nl> 1.02-2006mcnl
-1.02
